export const vehicleScale = function (zoom) {
    // console.log(zoom)
    let iconSize = [16, 36], iconAnchor = [8, 18]
    if (zoom < 11) {
        iconSize = [2, 8]
        iconAnchor = [1, 4]
    } else if (zoom < 13) {
        iconSize = [4, 12]
        iconAnchor = [2, 6]
    } else if (zoom < 15) {
        iconSize = [6, 16]
        iconAnchor = [3, 8]
    } else if (zoom < 16) {
        iconSize = [8, 20]
        iconAnchor = [4, 10]
    } else if (zoom < 17) {
        iconSize = [10, 24]
        iconAnchor = [5, 12]
    } else if (zoom < 18) {
        iconSize = [14, 32]
        iconAnchor = [7, 16]
    } else if (zoom < 19) {
        iconSize = [18, 40]
        iconAnchor = [9, 20]
    } else if (zoom < 20) {
        iconSize = [28, 60]
        iconAnchor = [14, 30]
    } else if (zoom < 21) {
        iconSize = [40, 84]
        iconAnchor = [20, 42]
    } else {
        iconSize = [100, 204]
        iconAnchor = [50, 102]
    }
    return {iconSize, iconAnchor}
}